List context packs
curl --request GET \
--url https://api.example.com/utils/context-packs \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/utils/context-packs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/utils/context-packs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"organization_id": "<string>",
"project_id": "<string>",
"name": "<string>",
"version": 123,
"summary_version": 123,
"key_topics": [
"<string>"
],
"topic_distribution": {},
"meta_data": {},
"config": {},
"created_by": "<string>",
"updated_by": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"summary_text": "<string>",
"archived_at": "2023-11-07T05:31:56Z",
"deprecated_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z",
"reactivated_at": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"page": 2,
"limit": 50,
"total_items": 1,
"total_pages": 1,
"next_page": 123,
"prev_page": 123
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"details": {}
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"details": {}
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"details": {}
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"details": {}
}
}context-packs
List context packs
List context packs in the project with optional filters.
GET
/
utils
/
context-packs
List context packs
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Query Parameters
Filter by status Status of a context pack.
Available options:
active, archived, deprecated, deleted Filter by pack type Type of context pack.
Available options:
user, team, project, domain, session, data_source Page number
Required range:
x >= 1Page size
Required range:
1 <= x <= 100Was this page helpful?
⌘I

